Skip to main content

Projects API

Manage projects. Requires session authentication or API key.

Base URL: https://app.kamustatus.com/api

List Projects

curl https://app.kamustatus.com/api/projects \
-b cookies.txt

Response:

[
{
"id": "proj_abc123",
"name": "Production",
"apiKey": "km_...",
"createdAt": "2025-01-15T10:00:00Z",
"updatedAt": "2025-01-15T10:00:00Z"
}
]

Get Project

curl https://app.kamustatus.com/api/projects/:projectId \
-H "x-api-key: km_your_api_key"

Create Project

curl -X POST https://app.kamustatus.com/api/projects \
-b cookies.txt \
-H "Content-Type: application/json" \
-d '{
"name": "Staging"
}'

Update Project

curl -X PATCH https://app.kamustatus.com/api/projects/:projectId \
-H "x-api-key: km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Production EU"
}'

Delete Project

curl -X DELETE https://app.kamustatus.com/api/projects/:projectId \
-H "x-api-key: km_your_api_key"

Deleting a project removes all associated monitors, alerts, incidents, and status pages.